datablock fxDTSBrickData (NOSbrick16x10Data)
{
	brickFile = "./1x16f.blb";
	category = "Special";
	subCategory = "Computers";
	uiName = "N-OS 16x10 auto-screen";
	indestructable = 1;
};

datablock fxDTSBrickData (NOSbrick24x15Data)
{
	brickFile = "./1x24f.blb";
	category = "Special";
	subCategory = "Computers";
	uiName = "N-OS 24x15 auto-screen";
	indestructable = 1;
};

datablock fxDTSBrickData (NOSbrick32x20Data)
{
	brickFile = "./1x32f.blb";
	category = "Special";
	subCategory = "Computers";
	uiName = "N-OS 32x20 auto-screen";
	indestructable = 1;
};

function NOSbrick24x15Data::onPlant(%data,%this)
{
	Parent::onPlant(%data,%this);
	if(%this.getGroup().client.Monname $= "")
	{
		messageclient(%this.getGroup().client,'',"Error: Please enter a name first. /mName ___");
		%this.delete();
		return;
	}
	%this.setNTObjectName("_"@%this.getGroup().client.monname@"_IND");
	%this.MonName = %this.getGroup().client.monName;
	%this.addEvent(0,1,"onActivate","Self","NPC_Switch",%this.MonName);
	if(!isFile("config/spc/PCData/"@%this.MonName@"/programList.txt"))
	{
		%file = new FileObject(){};
		%file.openForWrite("config/spc/PCData/"@%this.MonName@"/programList.txt");
		%file.writeLine("sketch");
		%file.writeLine("Explorer");
		%file.close();
		%file.delete();
	}
	%rotation = addRotation(%this.angleID,1);
	%this.isNPCBrick = 1;
	%yc = -1;
	if(%rotation == 1)
	{
		for(%y=0.4;%y<=9.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=5.5;%x>=-6;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 2)
	{
		for(%y=0.4;%y<=9.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=5.5;%x>=-6;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 3)
	{
		for(%y=0.4;%y<=9.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-6;%x<=5.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 0)
	{
		for(%y=0.4;%y<=9.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-6;%x<=5.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
}

function NOSbrick16x10Data::onPlant(%data,%this)
{
	Parent::onPlant(%data,%this);
	if(%this.getGroup().client.Monname $= "")
	{
		messageclient(%this.getGroup().client,'',"Error: Please enter a name first. /mName ___");
		%this.delete();
		return;
	}
	%this.setNTObjectName("_"@%this.getGroup().client.monname@"_IND");
	%this.MonName = %this.getGroup().client.monName;
	%this.addEvent(0,1,"onActivate","Self","NPC_Switch",%this.MonName);
	if(!isFile("config/spc/PCData/"@%this.MonName@"/programList.txt"))
	{
		%file = new FileObject(){};
		%file.openForWrite("config/spc/PCData/"@%this.MonName@"/programList.txt");
		%file.writeLine("sketch");
		%file.writeLine("Explorer");
		%file.close();
		%file.delete();
	}
	%rotation = addRotation(%this.angleID,1);
	%this.isNPCBrick = 1;
	%yc = -1;
	if(%rotation == 1)
	{
		for(%y=0.4;%y<=5.8;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=3.5;%x>=-4;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 2)
	{
		for(%y=0.4;%y<=5.8;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=3.5;%x>=-4;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 3)
	{
		for(%y=0.4;%y<=5.8;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-4;%x<=3.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 0)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-4;%x<=3.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
}

function NOSbrick32x20Data::onPlant(%data,%this)
{
	Parent::onPlant(%data,%this);
	if(%this.getGroup().client.Monname $= "")
	{
		messageclient(%this.getGroup().client,'',"Error: Please enter a name first. /mName ___");
		%this.delete();
		return;
	}
	%this.setNTObjectName("_"@%this.getGroup().client.monname@"_IND");
	%this.MonName = %this.getGroup().client.monName;
	%this.addEvent(0,1,"onActivate","Self","NPC_Switch",%this.MonName);
	if(!isFile("config/spc/PCData/"@%this.MonName@"/programList.txt"))
	{
		%file = new FileObject(){};
		%file.openForWrite("config/spc/PCData/"@%this.MonName@"/programList.txt");
		%file.writeLine("sketch");
		%file.writeLine("Explorer");
		%file.close();
		%file.delete();
	}
	%rotation = addRotation(%this.angleID,1);
	%this.isNPCBrick = 1;
	%yc = -1;
	if(%rotation == 1)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=7.5;%x>=-8;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
		echo(%yc);
	}
	else if(%rotation == 2)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=7.5;%x>=-8;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
		echo(%yc);
	}
	else if(%rotation == 3)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-8;%x<=7.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
		echo(%yc);
	}
	else if(%rotation == 0)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-8;%x<=7.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
}

function serverCmdmName(%client,%name)
{
	%client.Monname = %name;
}