datablock fxDTSBrickData (ECOMbrick16x10Data)
{
	brickFile = "./1x16f.blb";
	category = "Special";
	subCategory = "Computers";
	uiName = "E.Com 16x10 auto-screen";
	indestructable = 1;
};

datablock fxDTSBrickData (ECOMbrick24x15Data)
{
	brickFile = "./1x24f.blb";
	category = "Special";
	subCategory = "Computers";
	uiName = "E.Com 24x15 auto-screen";
	indestructable = 1;
};

datablock fxDTSBrickData (ECOMbrick32x20Data)
{
	brickFile = "./1x32f.blb";
	category = "Special";
	subCategory = "Computers";
	uiName = "E.Com 32x20 auto-screen";
	indestructable = 1;
};

datablock fxDTSBrickData (ECOMbrickScreenPrint)
{
	brickFile = "base/data/bricks/bricks/1x1print.blb";
	hasPrint = 1;
	indestructable = 1;
	orientationFix = 3;
	printAspectRatio = "1x1";
};

function ECOMbrick24x15Data::onPlant(%data,%this)
{
	Parent::onPlant(%data,%this);
	%rotation = addRotation(%this.angleID,1);
	%this.isEComBrick = 1;
	%yc = -1;
	if(%rotation == 1)
	{
		for(%y=0.4;%y<=9.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=5.5;%x>=-6;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 2)
	{
		for(%y=0.4;%y<=9.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=5.5;%x>=-6;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 3)
	{
		for(%y=0.4;%y<=9.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-6;%x<=5.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 0)
	{
		for(%y=0.4;%y<=9.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-6;%x<=5.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
}

function ECOMbrick16x10Data::onPlant(%data,%this)
{
	Parent::onPlant(%data,%this);
	%rotation = addRotation(%this.angleID,1);
	%this.isEComBrick = 1;
	%yc = -1;
	if(%rotation == 1)
	{
		for(%y=0.4;%y<=5.8;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=3.5;%x>=-4;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 2)
	{
		for(%y=0.4;%y<=5.8;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=3.5;%x>=-4;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 3)
	{
		for(%y=0.4;%y<=5.8;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-4;%x<=3.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
	else if(%rotation == 0)
	{
		for(%y=0.4;%y<=5.8;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-4;%x<=3.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
}

function ECOMbrick32x20Data::onPlant(%data,%this)
{
	Parent::onPlant(%data,%this);
	%rotation = addRotation(%this.angleID,1);
	%this.isEComBrick = 1;
	%yc = -1;
	if(%rotation == 1)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=7.5;%x>=-8;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
		echo(%yc);
	}
	else if(%rotation == 2)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=7.5;%x>=-8;%x-=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
		echo(%yc);
	}
	else if(%rotation == 3)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-8;%x<=7.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,0 SPC %x SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
		echo(%yc);
	}
	else if(%rotation == 0)
	{
		for(%y=0.4;%y<=12.4;%y+=0.6)
		{
			%yc++;
			%xc = -1;
			for(%x=-8;%x<=7.5;%x+=0.5)
			{
				%xc++;
				%this.schedule(100,plantScreenBrick,%x SPC 0 SPC %y,%rotation,%xc @ "_" @ %yc);
			}
		}
	}
}